<div class="container-fluid">
  <div class="row">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Title:
    </div>
    <div class="col-lg-5">
      <input class="form-control" [(ngModel)]="newPaper.title" placeholder="Title...">
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Key words:
    </div>
    <div class="col-lg-5">
      <input class="form-control" [(ngModel)]="newPaper.keyWords" placeholder="Key words, separated by comma...">
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Journal name:
    </div>
    <div class="col-lg-5">
      <input class="form-control" disabled [(ngModel)]="newPaper.journalName" placeholder="Journal name...">
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Abstract:
    </div>
    <div class="col-lg-5">
      <textarea class="form-control" rows="4" [(ngModel)]="newPaper.paperAbstract" placeholder="Paper abstract..."></textarea>
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Upload PDF:
    </div>
    <div class="col-lg-5">
      <input type="file" id="file" (change)="handleFileInput($event)">
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">
      Science field:
    </div>
    <div class="col-lg-5">
      <select class="form-control" [(ngModel)]="selectedScienceField">
        <option *ngFor="let field of allScienceFields" [value]="field[0]">{{field[1]}}</option>
      </select>
    </div>
  </div>
  <div class="row" style="margin-top: 2%">
    <div class="col-lg-1"></div>
    <div class="col-lg-10">
      <table class="table table-striped table-bordered">
        <thead>
        </thead>
        <tbody>
          <tr>
            <td>Author</td>
            <td>
              <input class="form-control" [(ngModel)]="firstAuthor.firstName" placeholder="First name..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="firstAuthor.lastName" placeholder="Last name..." style="width: 110%; margin-left: -5%">
            </td>
            <td style="width: 30%">
              <input class="form-control" [(ngModel)]="firstAuthor.email" placeholder="Email..." style="width: 105%; margin-left: -3%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="firstAuthor.city" placeholder="City..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="firstAuthor.country" placeholder="Country..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <button type="button" class="btn btn-success btn-circle" (click)="addFieldValue()"><i class="fa fa-plus"></i></button>
            </td>
          </tr>
          <tr *ngFor="let field of fieldArray; let i = index">
            <td>Author</td>
            <td>
              <input class="form-control" [(ngModel)]="field.firstName" placeholder="First name..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="field.lastName" placeholder="Last name..." style="width: 110%; margin-left: -5%">
            </td>
            <td style="width: 30%">
              <input class="form-control" [(ngModel)]="field.email" placeholder="Email..."  style="width: 105%; margin-left: -3%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="field.city" placeholder="City..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <input class="form-control" [(ngModel)]="field.country" placeholder="Country..." style="width: 110%; margin-left: -5%">
            </td>
            <td>
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteFieldValue(i)"><i class="fa fa-times"></i></button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div class="row" style="margin-top: 2%">
    <div class="col-lg-10"></div>
    <div class="col-lg-1">
      <button class="btn btn-info"  (click)="upload()">Upload</button>
    </div>
    <div class="col-lg-1"></div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
